VREManagerServiceImpl (VRE Manager Portlet 6.0.0-4.6.0-129692 API)
Date: 2017-07-29

org.gcube.portlets.admin.vredeployment.server

## Class VREManagerServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.vredeployment.server.VREManagerServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, VREDeploymentService

      public class VREManagerServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements VREDeploymentService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREManagerServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `doApprove(String epr)` approve the vre and set in session necessar vars for deployer
    `boolean` | `doEdit(String epr)`
    `boolean` | `doRemove(String epr)`
    `boolean` | `doUndeploy(String epr)`
    `String` | `doViewDetails(String epr)`
    `boolean` | `doViewReport(String epr)`
    `String` | `getHTMLReport(String epr)`
    `ArrayList<VREDefinitionBean>` | `getVREDefinitions()`
    `boolean` | `postPone(String vreId)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VREManagerServiceImpl

          public VREManagerServiceImpl()

  - ### Method Detail

    - #### getVREDefinitions

          public ArrayList<VREDefinitionBean> getVREDefinitions()

      Specified by:
        `getVREDefinitions` in interface `VREDeploymentService`

    - #### doApprove

          public boolean doApprove(String epr)

      approve the vre and set in session necessar vars for deployer
      Specified by:
        `doApprove` in interface `VREDeploymentService`

    - #### doRemove

          public boolean doRemove(String epr)

      Specified by:
        `doRemove` in interface `VREDeploymentService`

    - #### doUndeploy

          public boolean doUndeploy(String epr)

      Specified by:
        `doUndeploy` in interface `VREDeploymentService`

    - #### doEdit

          public boolean doEdit(String epr)

      Specified by:
        `doEdit` in interface `VREDeploymentService`

    - #### doViewDetails

          public String doViewDetails(String epr)

      Specified by:
        `doViewDetails` in interface `VREDeploymentService`

    - #### doViewReport

          public boolean doViewReport(String epr)

      Specified by:
        `doViewReport` in interface `VREDeploymentService`

    - #### getHTMLReport

          public String getHTMLReport(String epr)

      Specified by:
        `getHTMLReport` in interface `VREDeploymentService`
      Returns:
        the html representation of the report

    - #### postPone

          public boolean postPone(String vreId)

      Specified by:
        `postPone` in interface `VREDeploymentService`

Copyright © 2017. All Rights Reserved.